IExport (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.bldinf.IExport interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.bldinf
Interface IExport

    public interface IExport

Representation of an export in a PRJ_EXPORTS/PRJ_TESTEXPORTS block.

Method Summary
`IExport` | `copy()`
`IPath` | `getSourcePath()` Get project-relative path (never null)
`IPath` | `getTargetPath()` Get EPOCROOT-relative path.
`boolean` | `isValid()` tell if valid, e.g. initialized
`boolean` | `isZipped()` Tell whether :zip applies
`void` | `setSourcePath(IPath path)` Set project-relative path (never null)
`void` | `setTargetPath(IPath path)` Set EPOCROOT-relative path.
`void` | `setZipped(boolean zipped)` Tell whether :zip applies

Method Detail

### isValid

    boolean isValid()

  tell if valid, e.g. initialized

### getSourcePath

    IPath getSourcePath()

  Get project-relative path (never null)

### setSourcePath

    void setSourcePath(IPath path)

  Set project-relative path (never null)

### getTargetPath

    IPath getTargetPath()

  Get EPOCROOT-relative path.

  If full path with a drive letter, it refers to an EPOC-hosted drive (e.g. c:\private --> $(EPOCROOT)\data\c\private).

  If absolute path with no drive letter, it is EPOCROOT-relative.

  Else, if relative, it is project-relative.

  Finally, it may be null for the default \epoc32\include location.

### setTargetPath

    void setTargetPath(IPath path)

  Set EPOCROOT-relative path.

  If full path with a drive letter, it refers to an EPOC-hosted drive (e.g. c:\private --> $(EPOCROOT)\data\c\private).

  If absolute path with no drive letter, it is EPOCROOT-relative.

  Else, if relative, it is project-relative.

  Finally, it may be null for the default \epoc32\include location.

### isZipped

    boolean isZipped()

  Tell whether :zip applies

  Returns:

### setZipped

    void setZipped(boolean zipped)

  Tell whether :zip applies

### copy

    IExport copy()

  Returns:
    a copy of the data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD